Subject: [art] XML Directorate review of draft-ietf-netconf-restconf-07

From: Tim Bray <[email-masked]>
Date: Wed, 12 Oct 2016 20:43:20 -0700

I have been asked to review this document on behalf of the “XML
Directorate” (does it still exist?)

Document:draft-ietf-netconf-restconf-07
Title: RESTCONF Protocol
Reviewer:Tim Bray
Review Date: October 2016

I have confined my review to section 11.3.1, the media-type registration
for application/yang-data+xml

The media type registration seems accurate and contains the required
fields.

It is a little odd that the media type is registered in this document
rather than RFC7950, but that’s water under the bridge.

It is surprising that the recommended file extension is just .xml rather
than yang-data-x or some such; many things, notably web servers, work
better when you can dispatch to a media type based on a file extension, and
a simple .xml is notably not useful for this purpose.

---

From: Alexey Melnikov <[email-masked]>
Date: Thu, 13 Oct 2016 10:12:02 +0100

Thank you for your review, Tim.

I included your comment in my ballot.

> On 13 Oct 2016, at 04:43, Tim Bray <[email-masked]> wrote:
> 
> I have been asked to review this document on behalf of the “XML Directorate” (does it still exist?)
> 
> I have confined my review to section 11.3.1, the media-type registration for application/yang-data+xml
> 
> The media type registration seems accurate and contains the required fields. 
> 
> It is a little odd that the media type is registered in this document rather than RFC7950, but that’s water under the bridge.
> 
> It is surprising that the recommended file extension is just .xml rather than yang-data-x or some such; many things, notably web servers, work better when you can dispatch to a media type based on a file extension, and a simple .xml is notably not useful for this purpose.